Loading...
Searching...
No Matches
ENet packet functions

## Functions

enet_uint32 | enet_crc32 (const ENetBuffer *buffers, size_t bufferCount)
ENetPacket * | enet_packet_create (const void *data, size_t dataLength, enet_uint32 flags)
| Creates a packet that may be sent to a peer.
void | enet_packet_destroy (ENetPacket *packet)
| Destroys the packet and deallocates its data.
int | enet_packet_resize (ENetPacket *packet, size_t dataLength)
| Attempts to resize the data in the packet to length specified in the dataLength parameter.

## Detailed Description

## Function Documentation

## enet_crc32()

enet_uint32 enet_crc32 | ( | const ENetBuffer * | buffers,
|  | size_t | bufferCount )

`#include <packet.c>`

## enet_packet_create()

ENetPacket * enet_packet_create | ( | const void * | data,
|  | size_t | dataLength,
|  | enet_uint32 | flags )

`#include <packet.c>`

Creates a packet that may be sent to a peer.

Parameters

  data | initial contents of the packet's data; the packet's data will remain uninitialized if data is NULL.
  dataLength | size of the data allocated for this packet
  flags | flags for this packet as described for the ENetPacket structure.

Returns
  the packet on success, NULL on failure

## enet_packet_destroy()

void enet_packet_destroy | ( | ENetPacket * | packet | ) |

`#include <packet.c>`

Destroys the packet and deallocates its data.

Parameters

  packet | packet to be destroyed

## enet_packet_resize()

int enet_packet_resize | ( | ENetPacket * | packet,
|  | size_t | dataLength )

`#include <packet.c>`

Attempts to resize the data in the packet to length specified in the dataLength parameter.

Parameters

  packet | packet to resize
  dataLength | new size for the packet data

Returns
  0 on success, < 0 on failure